import { jsx } from "react/jsx-runtime";
import { ScribbleLoop as ScribbleLoop$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ScribbleLoop = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ScribbleLoop", ...props, children: /* @__PURE__ */ jsx(ScribbleLoop$1, { weight: variant }) });
  }
);
ScribbleLoop.displayName = "ScribbleLoop";
Object.assign(ScribbleLoop, { isGdsIcon: true });
export {
  ScribbleLoop
};
